QGIS Application - Bug report #19617
Check validity algorithm returns empty reason in attribute table
2018-08-13 11:38 PM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27444
Description

| have the layer 'invalid' enclosed in this geopackage (with one feature in it).

I run the "Check validity" algorithm.
The algorithm is giving me the 'invalid output' layer with the feature inside.

As you can see on my screenshot, when | open the attribute table, the field '_errors' remains empty.

CMIIW, but | should see the kind of error for this geometry.

History

#1 - 2018-09-18 03:51 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2018-09-18 04:40 PM - Alessandro Pasotti
- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/7946

#3 - 2018-09-20 12:07 PM - Alessandro Pasotti
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Files
invalid.gpkg 116 KB 2018-08-13 Etienne Trimaille
Screenshot from 2018-08-13 17-35-21.png 136 KB 2018-08-13 Etienne Trimaille
